package com.bankaudit.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_rating_parameter_inputs")
public class MaintRatingParameterInputs implements Serializable{
  
	private static final long serialVersionUID = 2493573953923732613L;

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	   
	@Id
	@Column(name="rm_code")
	private String rmCode;
	
	@Id
	@Column(name="param_code")
	private String paramCode;
	
	@Column(name="calculation")
	private String calculation;
	
	@Column(name="formula")
	private String formula;
	
	@Column(name="formula_desc")
	private String formulaDesc;	
	
	@Column(name="input_01")
	private String input01;

	@Column(name="input_02")
	private String input02;

	@Column(name="input_03")
	private String input03;

	@Column(name="input_04")
	private String input04;

	@Column(name="input_05")
	private String input05;

	@Column(name="input_06")
	private String input06;

	@Column(name="input_07")
	private String input07;

	@Column(name="input_08")
	private String input08;

	@Column(name="input_09")
	private String input09;

	@Column(name="input_10")
	private String input10;

	@Column(name="input_11")
	private String input11;

	@Column(name="input_12")
	private String input12;

	@Column(name="input_13")
	private String input13;

	@Column(name="input_14")
	private String input14;

	@Column(name="input_15")
	private String input15;
	
	@Column(name="entity_status")
	private String entityStatus;
	
	@Column(name="status")
	private String status;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getRmCode() {
		return rmCode;
	}

	public void setRmCode(String rmCode) {
		this.rmCode = rmCode;
	}

	public String getParamCode() {
		return paramCode;
	}

	public void setParamCode(String paramCode) {
		this.paramCode = paramCode;
	}
	
	public String getCalculation() {
		return calculation;
	}

	public void setCalculation(String calculation) {
		this.calculation = calculation;
	}

	public String getFormula() {
		return formula;
	}

	public void setFormula(String formula) {
		this.formula = formula;
	}

	public String getFormulaDesc() {
		return formulaDesc;
	}

	public void setFormulaDesc(String formulaDesc) {
		this.formulaDesc = formulaDesc;
	}

	public String getInput01() {
		return input01;
	}

	public void setInput01(String input01) {
		this.input01 = input01;
	}

	public String getInput02() {
		return input02;
	}

	public void setInput02(String input02) {
		this.input02 = input02;
	}

	public String getInput03() {
		return input03;
	}

	public void setInput03(String input03) {
		this.input03 = input03;
	}

	public String getInput04() {
		return input04;
	}

	public void setInput04(String input04) {
		this.input04 = input04;
	}

	public String getInput05() {
		return input05;
	}

	public void setInput05(String input05) {
		this.input05 = input05;
	}

	public String getInput06() {
		return input06;
	}

	public void setInput06(String input06) {
		this.input06 = input06;
	}

	public String getInput07() {
		return input07;
	}

	public void setInput07(String input07) {
		this.input07 = input07;
	}

	public String getInput08() {
		return input08;
	}

	public void setInput08(String input08) {
		this.input08 = input08;
	}

	public String getInput09() {
		return input09;
	}

	public void setInput09(String input09) {
		this.input09 = input09;
	}

	public String getInput10() {
		return input10;
	}

	public void setInput10(String input10) {
		this.input10 = input10;
	}

	public String getInput11() {
		return input11;
	}

	public void setInput11(String input11) {
		this.input11 = input11;
	}

	public String getInput12() {
		return input12;
	}

	public void setInput12(String input12) {
		this.input12 = input12;
	}

	public String getInput13() {
		return input13;
	}

	public void setInput13(String input13) {
		this.input13 = input13;
	}

	public String getInput14() {
		return input14;
	}

	public void setInput14(String input14) {
		this.input14 = input14;
	}

	public String getInput15() {
		return input15;
	}

	public void setInput15(String input15) {
		this.input15 = input15;
	}

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}   
	 
	
} 
